# This is a data storage file for JUnitStats Mod by Jeckel.
# The variable 'TypesDict' and method 'getRoll' are both called
# outside this file.
# All other variables are for internal use only.
#
# Use this file as an example to create Custom Stats Files.

from CvPythonExtensions import *
import CvUtil
import sys

import JUtils

############################################################################
# globals

gc = CyGlobalContext()

#######################################################################################################

# This StatsData file contains 1 Type and 5 Stats.
# There are no custom roll methods, all stats are determined by defaultRoll().
# Mental Stats:
#   Intelligence: Your book smarts.
#   Creativity: How well you think outside the box.
#   Wits: How quick and well you can think.
#   Wisdom: Your common sense or street smarts.
#   Willpower: Your determination or mental Constitution.

#######################################################################################################




# strStatsType : {statName : [argsList]}
TypesDict = { "MentalStats" : ["intelligence", "creativity",
                               "wits", "wisdom", "willpower"] }

def getRoll(strStat, pUnit):

        try:
                strMethod = str(strStat) + str("Roll")
                evalMethod = eval(strMethod)
                iRoll = evalMethod(pUnit)
                return iRoll
        except NameError:
                try:
                        return defaultRoll(pUnit)
                except:
                        return 0


def defaultRoll(pUnit):

        iRand = CyGame().getSorenRandNum(100, "Random Roll Unit Mental Stat")

        return iRand

############################################################################################################
























