# This is a data storage file for JUnitStats Mod by Jeckel.
# The variable 'TypesDict' and method 'getRoll' are both called
# outside this file.
# All other variables are for internal use only.
#
# Use this file as an example to create Custom Stats Files.

from CvPythonExtensions import *
import CvUtil
import sys

import JUtils

############################################################################
# globals

gc = CyGlobalContext()

#######################################################################################################

# This StatsData file contains 1 Type and 6 Stats.
# fameRoll() and infamyRoll() are the only custom roll methods,
# all other stats are determined by defaultRoll().
# Social Stats:
#   Appearance: How physically actractive you are to others of your species.
#   Charisma: Your aura/pheramones/natural charm.
#   Manipulation: How good you are at convincing others to do what you want.
#   Communication: How well you use verbal speech and body language to communicate.
#   Fame: How well know you are for being popular.
#   Infamy: How well know you are for being unpopular.

#######################################################################################################




# strStatsType : {statName : [argsList]}
TypesDict = { "SocialStats" : ["appearance",
                               "charisma", "manipulation", "communication",
                               "fame", "infamy"] }

def getRoll(strStat, pUnit):

        try:
                strMethod = str(strStat) + str("Roll")
                evalMethod = eval(strMethod)
                iRoll = evalMethod(pUnit)
                return iRoll
        except NameError:
                try:
                        return defaultRoll(pUnit)
                except:
                        return 0


def defaultRoll(pUnit):

        iRand = CyGame().getSorenRandNum(100, "Random Roll Unit Mental Stat")

        return iRand

############################################################################################################

def fameRoll(pUnit):

        return 0

def infamyRoll(pUnit):

        return 0
















